| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | Private Member Functions | List of all members
uiFileSelectorSetup Class Reference
uiBase

Setup for any file or directory selection process. More...

`#include <uifileselector.h>`

Inheritance diagram for uiFileSelectorSetup:
[legend]

## Public Types
typedef uiFileSelectorSetup | Setup

## Public Member Functions
| uiFileSelectorSetup (const char *fnm=nullptr)
| uiFileSelectorSetup (OD::FileSelectionMode, const char *fnm=nullptr)
bool | isForDirectory () const
bool | isForFile () const
bool | isForRead () const
bool | isForWrite () const
bool | isMulti () const
bool | isSingle () const
Setup & | selectDirectory (bool yn=true)
Setup & | selectMultiDirectory (bool yn=true)
Setup & | selectMultiFile (bool yn=true)
Setup & | setFileName (const char *fnm)
Setup & | setFormat (const FileFormat &ffmt)
Setup & | setFormat (const uiString &ftype, const char *ext, const char *ext2=0, const char *ext3=0)
Setup & | setForWrite (bool yn=true)
Setup & | setInitialSelection (const char *fnm)

## Public Attributes
bool | allowallextensions
bool | confirmoverwrite
OD::FileContentType | contenttype
BufferString | defaultextension
FileFormatList | formats
BufferStringSet | initialselection
BufferString | initialselectiondir
BufferString | mask
bool | onlylocal
OD::FileSelectionMode | selmode
bool | skiplocal

## Private Member Functions
void | init (const char *)

## Detailed Description

Setup for any file or directory selection process.

<>

## Member Typedef Documentation

## ◆ Setup

typedef uiFileSelectorSetup uiFileSelectorSetup::Setup

## Constructor & Destructor Documentation

## ◆ uiFileSelectorSetup() [1/2]

uiFileSelectorSetup::uiFileSelectorSetup | ( | const char * | fnm = nullptr | ) |

## ◆ uiFileSelectorSetup() [2/2]

uiFileSelectorSetup::uiFileSelectorSetup | ( | OD::FileSelectionMode | ,
|  | const char * | fnm = nullptr )

## Member Function Documentation

## ◆ init()

void uiFileSelectorSetup::init | ( | const char * |  | ) |
| private

## ◆ isForDirectory()

bool uiFileSelectorSetup::isForDirectory | ( |  | ) | const
| inline

## ◆ isForFile()

bool uiFileSelectorSetup::isForFile | ( |  | ) | const
| inline

## ◆ isForRead()

bool uiFileSelectorSetup::isForRead | ( |  | ) | const
| inline

## ◆ isForWrite()

bool uiFileSelectorSetup::isForWrite | ( |  | ) | const
| inline

## ◆ isMulti()

bool uiFileSelectorSetup::isMulti | ( |  | ) | const
| inline

## ◆ isSingle()

bool uiFileSelectorSetup::isSingle | ( |  | ) | const
| inline

## ◆ selectDirectory()

Setup & uiFileSelectorSetup::selectDirectory | ( | bool | yn = true | ) |
| inline

## ◆ selectMultiDirectory()

Setup & uiFileSelectorSetup::selectMultiDirectory | ( | bool | yn = true | ) |
| inline

## ◆ selectMultiFile()

Setup & uiFileSelectorSetup::selectMultiFile | ( | bool | yn = true | ) |
| inline

## ◆ setFileName()

Setup & uiFileSelectorSetup::setFileName | ( | const char * | fnm | ) |
| inline

## ◆ setFormat() [1/2]

Setup & uiFileSelectorSetup::setFormat | ( | const FileFormat & | ffmt | ) |
| inline

## ◆ setFormat() [2/2]

Setup & uiFileSelectorSetup::setFormat | ( | const uiString & | ftype,
|  | const char * | ext,
|  | const char * | ext2 = 0,
|  | const char * | ext3 = 0 )
| inline

## ◆ setForWrite()

Setup & uiFileSelectorSetup::setForWrite | ( | bool | yn = true | ) |
| inline

## ◆ setInitialSelection()

Setup & uiFileSelectorSetup::setInitialSelection | ( | const char * | fnm | ) |
| inline

## Member Data Documentation

## ◆ allowallextensions

bool uiFileSelectorSetup::allowallextensions

## ◆ confirmoverwrite

bool uiFileSelectorSetup::confirmoverwrite

## ◆ contenttype

OD::FileContentType uiFileSelectorSetup::contenttype

## ◆ defaultextension

BufferString uiFileSelectorSetup::defaultextension

## ◆ formats

FileFormatList uiFileSelectorSetup::formats

## ◆ initialselection

BufferStringSet uiFileSelectorSetup::initialselection

## ◆ initialselectiondir

BufferString uiFileSelectorSetup::initialselectiondir

## ◆ mask

BufferString uiFileSelectorSetup::mask

## ◆ onlylocal

bool uiFileSelectorSetup::onlylocal

## ◆ selmode

OD::FileSelectionMode uiFileSelectorSetup::selmode

## ◆ skiplocal

bool uiFileSelectorSetup::skiplocal

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025